Subject: [ppsp] "'Here is a hash! Give me data for it!"

From: Jeff Thompson <[email-masked]>
Date: Thu, 21 Aug 2014 21:54:15 +0200

Hello. The PPSPP draft links to the libswift implementation whose 
documentation says "Basically, it answers one and only one question: 
'Here is a hash! Give me data for it!'".

Is the protocol being developed by the PPSP working group meant to have 
general application to fetch data from anywhere in "the cloud". Or is 
meant only to fetch from a pre-determined publisher who hosts the swarm 
info? In other words, when a user clicks on a link in a PPSP-enabled 
browser, does that link need to specify a host tracker?  If not, then is 
there a document that specifies how a raw hash would be resolved to 
initiate a PPSPP swarm?

Thanks,
- Jeff Thompson